--- old/usr/src/man/man3c/wctype.3c	Sun Jun 29 11:52:30 2014
+++ new/usr/src/man/man3c/wctype.3c	Sun Jun 29 11:52:30 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright (c) 1992, X/Open Company Limited  All Rights Reserved  Portions Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH WCTYPE 3C "Aug 14, 2002"
+.TH WCTYPE 3C "Jun 25, 2014"
 .SH NAME
 wctype, wctype_l \- define character class
 .SH SYNOPSIS
@@ -16,59 +17,51 @@
 #include <wchar.h>
 
 \fBwctype_t\fR \fBwctype\fR(\fBconst char *\fR\fIcharclass\fR);
+.fi
+.LP
+.nf
 \fBwctype_t\fR \fBwctype_l\fR(\fBconst char *\fR\fIcharclass\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBwctype()\fR function is defined for valid character class names as
 defined in the current locale. The \fIcharclass\fR is a string identifying a
 generic character class for which codeset-specific type information is
 required. The following character class names are defined in all locales:
-.sp
-
-.sp
+.IP
 .TS
 l l l
 l l l .
-alnum	alpha	blank
-cntrl	digit	graph
-lower	print	punct
-space	upper	xdigit
+"alnum"	"alpha"	"blank"
+"cntrl"	"digit"	"graph"
+"lower"	"print"	"punct"
+"space"	"upper"	"xdigit"
 .TE
 
-.sp
 .LP
 Additional character class names defined in the locale definition file
 (category \fBLC_CTYPE\fR) can also be specified.
-.sp
 .LP
 The function returns a value of type \fBwctype_t\fR, which can be used as the
-second argument to subsequent calls of \fBiswctype\fR(3C). \fBwctype()\fR
-determines values of \fBwctype_t\fR according to the rules of the coded
-character set defined by character type information in the program's locale
+second argument to subsequent calls of \fBiswctype\fR(3C). The \fBwctype()\fR
+function determines values of \fBwctype_t\fR according to the rules of the coded
+character set defined by character type information in the current locale
 (category \fBLC_CTYPE\fR). The values returned by \fBwctype()\fR are valid
-until a call to \fBsetlocale\fR(3C) that modifies the category \fBLC_CTYPE\fR.
-.sp
+only in the locale, or locales with the same \fBLC_CTYPE\fR category.
 .LP
 The function \fBwctype_l()\fR behaves identically to \fBwctype()\fR, except
-instead of operating in the current environemtn, it operates in the environment
+instead of operating in the current locale, it operates in the locale
 specified by \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
-The \fBwctype()\fR function returns \fB0\fR if the given character class name
-is not valid for the current locale (category \fBLC_CTYPE\fR); otherwise it
+These functions return \fB0\fR if the given character class name
+is not valid for the locale (category \fBLC_CTYPE\fR); otherwise it
 returns an object of type \fBwctype_t\fR that can be used in calls to
-\fBiswctype()\fR.
+\fBiswctype\fR(3C).
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -79,11 +72,12 @@
 _
 Interface Stability	Standard
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
-\fBiswctype\fR(3C), \fBsetlocale\fR(3C), \fBattributes\fR(5),
+\fBiswctype\fR(3C), \fBnewlocale\fR(3C), \fBsetlocale\fR(3C),
+\fBuselocale\fR(3C),
+\fBattributes\fR(5),
 \fBstandards\fR(5)
